# Root::Directory namespace

Namespace in directory.

### Contents

- Reference
  - Namespaces
  - Classes
  - Enums
  - Typedefs
  - Functions
  - Variables
  - A group

## Namespaces

namespace Sub
  Namespace in subdirectory.

## Classes

class Class
  A class.
struct Struct
  A structure.
union Union
  An union.

## Enums

enum Enum { }
  An enum.

## Typedefs

using Int = int
  A typedef.
using Float = float
  An using declaration.

## Functions

void foo()
  A function.

## Variables

const int Var constexpr
  A variable.

## A group

enum Flag { }
  Flag in a group.
using Main = void
  Alias in a group.
void* variable constexpr
  Variable in a group.
void bar()
  Function in a group.

## Enum documentation

### enum Root::Directory::Enum
#include <Directory/File.h>

An enum.

### enum Root::Directory::Flag
#include <Directory/File.h>

Flag in a group.

## Typedef documentation

### typedef int Root::Directory::Int
#include <Directory/File.h>

A typedef.

### using Root::Directory::Float = float
#include <Directory/File.h>

An using declaration.

### using Root::Directory::Main = void
#include <Directory/File.h>

Alias in a group.

## Function documentation

### void Root::Directory::foo()
#include <Directory/File.h>

A function.

### void Root::Directory::bar()
#include <Directory/File.h>

Function in a group.

## Variable documentation

### const int Root::Directory::Var constexpr
#include <Directory/File.h>

A variable.

### void* Root::Directory::variable constexpr
#include <Directory/File.h>

Variable in a group.